/*************************************************************************
* File Name          : my_stepper.ino
* Author             : Sergey
* Updated            : Sergey
* Version            : V0.0.1
* Date               : 05/10/2014
* Description        : Controller for filament winder
**************************************************************************/
#include <Makeblock.h>
#include <Arduino.h>
#include <SoftwareSerial.h>
#include <Wire.h>
#include <AccelStepper.h>

// Define a stepper and the pins it will use
AccelStepper stepper(AccelStepper::DRIVER, 13, 12); // 13-PUL,12-DIR
int SensorState = 0;
int ResistorPin = A0;
int ResistorValue = 0;

void setup()
{  
  pinMode(11, INPUT); // top sensor
  stepper.setAcceleration(500);
  stepper.setCurrentPosition(0);
  stepper.setMaxSpeed(1024*2);
}

long current_position;
void loop() 
{ 
  ResistorValue = analogRead(ResistorPin); 
  stepper.setSpeed(ResistorValue*2);

  SensorState = digitalRead(11); 
  if (SensorState == HIGH) {     
    stepper.stop(); 
    stepper.setCurrentPosition(0); 
    delay(1000);
  } 
  else {
    stepper.moveTo(60000);
    stepper.run(); 
  }
  
  
}
